Bug 764 - \'emacs\' and \'emacs-21.1\' initialize differently
: \'emacs\' and \'emacs-21.1\' initialize differently
Status: CLOSED FIXED
: Sisyphus
(All bugs in Sisyphus/emacs-X11)
: unstable
: all Linux
: P4 normal
Assigned To:
:
:
:
:
:
  Show dependency tree
 
Reported: 2002-03-30 10:12 by
Modified: 2003-08-25 15:18 (History)


Attachments


Note

You need to log in before you can comment on or make changes to this bug.


Description From 2002-03-30 10:12:15
Starting \"emacs-21.1\" gives larger window and other colors.
Cyrillic and western fonts are different size.
\"emacs\" likely gets default values from
/etc/X11/app-defaults/Emacs
, whereas \"emacs-21.1\" misses them.
---

---
emacs-X11-21.1-alt13
emacsen-startscripts-0.0.1-alt2
------- Comment #1 From 2002-04-13 13:41:31 -------
fixed in emacs-X11-21.2-alt1 + app-defaults-0.2.1-alt1.

The reason was that emacs-21.2 uses the other name (its executable) to match resources. The fix is to provide resources for class Emacs, which is the same for any executables of Emacs. (s/emacs/Emacs/)

In addition, emacs-X11-21.2-alt2 has Conflicts on older app-defaults to allow consistent update.
------- Comment #2 From 2002-04-13 13:41:31 -------
fixed in emacs-X11-21.2-alt1 + app-defaults-0.2.1-alt1.

The reason was that emacs-21.2 uses the other name (its executable) to match resources. The fix is to provide resources for class Emacs, which is the same for any executables of Emacs. (s/emacs/Emacs/)

In addition, emacs-X11-21.2-alt2 has Conflicts on older app-defaults to allow consistent update.